Subject: Re: [take3 2/4] kevent: AIO, aio_sendfile() implementation.

From: Evgeniy Polyakov <[email-masked]>
Date: Thu, 3 Aug 2006 21:13:40 +0400

On Thu, Aug 03, 2006 at 10:04:36AM -0700, Badari Pulavarty ([email-masked]) wrote:
> Evgeniy Polyakov wrote:
> >AIO, aio_sendfile() implementation.
> >
> >This patch includes asynchronous propagation of file's data into VFS
> >cache and aio_sendfile() implementation.
> >Network aio_sendfile() works lazily - it asynchronously populates pages
> >into the VFS cache (which can be used for various tricks with adaptive
> >readahead) and then uses usual ->sendfile() callback.
> >
> >...
> >--- /dev/null
> >+++ b/kernel/kevent/kevent_aio.c
> >@@ -0,0 +1,584 @@
> >+/*
> >+ * 	kevent_aio.c
> >+ * 
> >  
> Since this is *almost* same as mpage.c code, wondering if its possible 
> to make common
> generic/helper routines in mpage.c and use it here ?

Yes, as I mentioned in mail to Christoph, I did it just to separate
kevent as much as possible (so I introduced ->get_block() based
approach). It can be safely moved into mpage code and used from more
clear callback like ->readpage().
Since this AIO code was decided to be postponed for a while, I'm not
updating it (just make sure that it compiles with new changes), since
overall design of AIO changes (if any) is not 100% completed.

> Thanks,
> Badari

-- 
	Evgeniy Polyakov